--
-- Autor: Hewaaa
-- Date: 24.01.2013
-- publisher: www.ls2013.org
--

T5_Bus_Notarzt = {};

function T5_Bus_Notarzt.prerequisitesPresent(specializations)
    return true; 
end;

function T5_Bus_Notarzt:load(xmlFile)
	self.T5_Bus_Notarzt = false;	
end;


function T5_Bus_Notarzt:readStream(streamId, connection)
	
end;

function T5_Bus_Notarzt:writeStream(streamId, connection)	
	
end;

function T5_Bus_Notarzt:delete()
	
end;

function T5_Bus_Notarzt:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T5_Bus_Notarzt:keyEvent(unicode, sym, modifier, isDown)
end;

function T5_Bus_Notarzt:update(dt)
	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_5) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition+(self.animationParts[3].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_6) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition-(self.animationParts[3].offSet*(dt/10)));
		end;

		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_7) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition+(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_Bus_Notarzt_8) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition-(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.hasEvent(InputBinding.T5_Bus_Notarzt) then
			self.T5_Bus_Notarzt = not self.T5_Bus_Notarzt;
		end;
	end;

end;

function T5_Bus_Notarzt:updateTick(dt)
end;

function T5_Bus_Notarzt:draw()
	if not self.T5_Bus_Notarzt then
		g_currentMission:addHelpButtonText(g_i18n:getText("T5_Bus_Notarzt"), InputBinding.T5_Bus_Notarzt);
	else
		renderText(0.78, 0.30, 0.02,  "Num 0: HUD Abschalten");
		renderText(0.78, 0.62, 0.02, 	  "Blinker Li.= KP_1");
    	renderText(0.78, 0.60, 0.02,     "Warnblinker = KP_2");
    	renderText(0.78, 0.58, 0.02,     "Blinker Re. = KP_3");
		renderText(0.78, 0.56, 0.02,     "RightDoor open = N");
		renderText(0.78, 0.54, 0.02,    "RightDoor close = J");
    	renderText(0.78, 0.52, 0.02,      "LeftDoor open = M");	
		renderText(0.78, 0.50, 0.02,     "LeftDoor close = K");
    	renderText(0.78, 0.48, 0.02,      "SideDoor open = V");	
		renderText(0.78, 0.46, 0.02,     "SideDoor close = B");
		renderText(0.78, 0.44, 0.02,      "RearDoor open = Y");
		renderText(0.78, 0.42, 0.02,     "RearDoor close = X");
		renderText(0.78, 0.40, 0.02,       "Stadthorn = KP_7");
		renderText(0.78, 0.38, 0.02,        "Landhorn = KP_8");
		renderText(0.78, 0.36, 0.02, 	   "Pressluft = KP_9");
		renderText(0.78, 0.34, 0.02, "Heckabsicherung = KP_5");
		renderText(0.78, 0.32, 0.02,            "RUL = Pos 1");
	end;
end;

function T5_Bus_Notarzt:onLeave()
	self.T5_Bus_Notarzt = false;	
end;